light-mode-image
Learn
API ReferenceVerification request signers

Retrieve all Verification request signers

Roles

adminverifier

Analytics Events

CREDENTIAL_PRESENTATION_VERIFIER_SIGNER_CERTIFICATE_RETRIEVE_LIST_STARTCREDENTIAL_PRESENTATION_VERIFIER_SIGNER_CERTIFICATE_RETRIEVE_LIST_SUCCESSCREDENTIAL_PRESENTATION_VERIFIER_SIGNER_CERTIFICATE_RETRIEVE_LIST_FAIL
GET/v2/presentations/certificates/verifier-signers

Retrieves all Verification request signers.

Analytic events

  • CREDENTIAL_PRESENTATION_VERIFIER_SIGNER_CERTIFICATE_RETRIEVE_LIST_START
  • CREDENTIAL_PRESENTATION_VERIFIER_SIGNER_CERTIFICATE_RETRIEVE_LIST_SUCCESS
  • CREDENTIAL_PRESENTATION_VERIFIER_SIGNER_CERTIFICATE_RETRIEVE_LIST_FAIL

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Query Parameters

limit?number

Range size of returned list.

Range1 <= value <= 1000
Default100
cursor?string

Starting point for the list of entries.

Response Body

application/json

application/json

curl -X GET "https://example.com/v2/presentations/certificates/verifier-signers"
{  "data": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "caType": "mattr",      "active": true,      "certificatePem": "string",      "certificateFingerprint": "string",      "certificateData": {        "commonName": "string",        "country": "string",        "notAfter": "2019-08-24T14:15:22Z",        "notBefore": "2019-08-24T14:15:22Z",        "subjectAlternativeNames": [          {            "type": 0,            "value": "string"          }        ]      }    }  ],  "nextCursor": "string"}

How would you rate this page?